> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create member

>  

This endpoint allows you to create a new member. Members are created with the required parameters credentials and institution\_code, and the optional parameters id and metadata. When creating a member, youll need to include the correct type of credential required by the financial institution and provided by the user. You can find out which credential type is required with the `/institutions/{institution_code}/credentials` endpoint. If successful, the MX Platform API will respond with the newly-created member object. Once you successfully create a member, MX will immediately validate the provided credentials and attempt to aggregate data for accounts and transactions.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml POST /users/{user_guid}/members
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/members:
    post:
      tags:
        - members
      summary: Create member
      description: >-
        This endpoint allows you to create a new member. Members are created
        with the required parameters credentials and institution_code, and the
        optional parameters id and metadata. When creating a member, youll need
        to include the correct type of credential required by the financial
        institution and provided by the user. You can find out which credential
        type is required with the `/institutions/{institution_code}/credentials`
        endpoint. If successful, the MX Platform API will respond with the
        newly-created member object. Once you successfully create a member, MX
        will immediately validate the provided credentials and attempt to
        aggregate data for accounts and transactions.
      operationId: createMember
      parameters:
        - $ref: '#/components/parameters/xCallback'
        - $ref: '#/components/parameters/userGuid'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberCreateRequestBody'
        description: >-
          Member object to be created with optional parameters (id and metadata)
          and required parameters (credentials and institution_code)
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/MemberResponseBody'
          description: OK
        '202':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/MemberResponseBody'
          description: Accepted
components:
  parameters:
    xCallback:
      description: >-
        The base64 encoded string defined in this header will be returned in the
        [Member](/resources/webhooks/member/) and [Member Data
        Updated](/resources/webhooks/member#member-data-updated) webhooks. This
        allows you to trace user interactions and workflows initiated externally
        and internally in the MX Platform. Max 1024 characters.
      example: 813e50bd-4a7e-4517-b6bb-9eef65a68cbd
      in: header
      name: X-CALLBACK-PAYLOAD
      schema:
        type: string
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
  schemas:
    MemberCreateRequestBody:
      properties:
        client_redirect_url:
          example: https://{yoursite.com}
          type: string
        enable_app2app:
          example: false
          type: boolean
          description: >
            This indicates whether OAuth app2app behavior is enabled for
            institutions that support it. Defaults to `true`. When set to
            `false`, any `oauth_window_uri` generated will **not** direct the
            end user to the institution's mobile application. This setting is
            not persistent. This setting currently only affects Chase
            institutions.
        member:
          $ref: '#/components/schemas/MemberCreateRequest'
        referral_source:
          example: APP
          type: string
        ui_message_webview_url_scheme:
          type: string
      type: object
    MemberResponseBody:
      properties:
        member:
          $ref: '#/components/schemas/MemberResponse'
      type: object
    MemberCreateRequest:
      properties:
        background_aggregation_is_disabled:
          example: false
          type: boolean
        credentials:
          items:
            $ref: '#/components/schemas/CredentialRequest'
          type: array
        id:
          example: unique_id
          type: string
        institution_code:
          example: mxbank
          type: string
        is_oauth:
          example: false
          type: boolean
        metadata:
          example: '\"credentials_last_refreshed_at\": \"2015-10-15\'
          type: string
        skip_aggregation:
          example: false
          type: boolean
        use_cases:
          type: array
          description: >-
            The use case associated with the member. Valid values are `PFM`
            and/or `MONEY_MOVEMENT`. Only set this if you've met with MX and
            have opted in to using this field.
          items:
            type: string
            enum:
              - MONEY_MOVEMENT
              - PFM
          example:
            - PFM
      required:
        - credentials
        - institution_code
      type: object
    MemberResponse:
      properties:
        aggregated_at:
          example: '2016-10-13T18:07:57.000Z'
          nullable: true
          type: string
        background_aggregation_is_disabled:
          example: false
          type: boolean
        connection_status:
          example: CONNECTED
          nullable: true
          type: string
        connection_status_message:
          example: Connected to MX Bank
          nullable: true
          type: string
        guid:
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          nullable: true
          type: string
        id:
          example: unique_id
          nullable: true
          type: string
        institution_code:
          example: mxbank
          nullable: true
          type: string
        institution_guid:
          example: INST-12345678-90ab-cdef-1234-567890abcdef
          nullable: false
          type: string
        is_being_aggregated:
          example: false
          nullable: true
          type: boolean
        is_managed_by_user:
          example: false
          nullable: true
          type: boolean
        is_manual:
          example: false
          nullable: true
          type: boolean
        is_oauth:
          example: false
          nullable: true
          type: boolean
        metadata:
          example: '\"credentials_last_refreshed_at\": \"2015-10-15\'
          nullable: true
          type: string
        most_recent_job_detail_code:
          example: null
          nullable: true
          type: integer
        most_recent_job_detail_text:
          example: null
          nullable: true
          type: boolean
        most_recent_job_guid:
          example: JOB-12345678-90ab-cdef-1234-567890abcdef
          nullable: true
          type: boolean
        name:
          example: MX Bank
          nullable: true
          type: string
        needs_updated_credentials:
          example: false
          nullable: true
          type: boolean
        oauth_window_uri:
          example: >-
            https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2
          nullable: true
          type: string
        successfully_aggregated_at:
          example: '2016-10-13T17:57:38.000Z'
          nullable: true
          type: string
        use_cases:
          type: array
          description: >-
            The use case associated with the member. Valid values are `PFM`
            and/or `MONEY_MOVEMENT`. Only set this if you've met with MX and
            have opted in to using this field.
          items:
            type: string
            enum:
              - MONEY_MOVEMENT
              - PFM
          example:
            - PFM
        user_guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
        user_id:
          example: user123
          nullable: true
          type: string
      type: object
    CredentialRequest:
      properties:
        guid:
          example: CRD-27d0edb8-1d50-5b90-bcbc-be270ca42b9f
          type: string
        value:
          example: password
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````